# -*- coding: utf-8 -*-
import sqlite3
import sys

import os

MIGRATE = 'migrate'

db = None


def read_file(file):
    with open(os.path.join(MIGRATE, file), 'r') as fp:
        return [(l.replace('\n', ''),) for l in fp]


def batch_insert(table, column, data):
    db.executemany('insert into {table} ({column}) values (?)'.
                   format(table=table, column=column), data)
    db.commit()


if __name__ == '__main__':
    db = sqlite3.connect('db.sqlite' if len(sys.argv) is 0 else sys.argv[0])
    batch_insert('mcmaniacs', 'item', read_file('mcmaniac.txt'))
    batch_insert('yiffs', 'item', read_file('yiff.txt'))
