# -*- coding: utf-8 -*-
import irc3

from docopt import Dict as DocoptDict
from irc3 import IrcBot
from irc3.plugins.command import command
from irc3.utils import IrcString

from . import MODULE, Plugin


@command(permission='admin', show_in_help_list=False)
def reload(bot: IrcBot, mask: IrcString, channel: IrcString, args: DocoptDict):
    """Reloads a plugin or the whole bot

    %%reload [<plugin>]
    """
    plugin = args.get('<plugin>')
    if plugin:
        bot.reload('{module}.{plugin}'.format(plugin=plugin, module=MODULE))
        bot.privmsg(channel, 'Reloaded plugin "{}"'.format(plugin))
    else:
        bot.reload()
        bot.privmsg(channel, 'Reloaded the bot')


@irc3.plugin
class Admin(Plugin):
    pass
