# -*- coding: utf-8 -*-
import sqlite3
import irc3

from irc3 import IrcBot

from . import Plugin


@irc3.plugin
class Database(Plugin):
    def __init__(self, bot: IrcBot):
        super().__init__(bot)
        file = bot.config.storage.split('sqlite://', 1)[1]
        if not file:
            raise ValueError('Invalid database: {}'.format(bot.config.storage))
        # @formatter:off
        self.db = sqlite3.connect(file, detect_types=sqlite3.PARSE_DECLTYPES
                                  | sqlite3.PARSE_COLNAMES)
        # @formatter:on
        self.db.row_factory = sqlite3.Row
        self.bot = bot
        self.bot.con = self
